/********** responsive 
* Responsive page home 
* Header (Navbar)
* Footer (Navbar)
* slider img landing
* Responsive page Products
************/
header .links ul .logo_menu,
header .links ul .btn_close_menu,
header .links .btn_open_menu,
header .links ul .bg-overlay,
.product-field .btn_filter,
.navigation {
  display: none;
}

/* ============ laptop  ================ */

@media (max-width: 1100px) {
  .product-field .container {
    gap: 30px;
  }

  .product-field .container ul {
    padding-top: 50px;
  }

  .product-field ul li {
    margin-bottom: 70px;
  }

  .product-field .container .filter {
    width: 320px;
  }
}

@media (max-width: 1000px) {
    .filter_header_mobile {
        display: flex;
    }
}

/* ========= navbar ========== */
@media (max-width: 1000px) {
  header .top-nav .search {
    width: 420px;
  }

  .slider .container .slider_swp {
    width: 100%;
  }

  .features {
    margin-top: 0;
  }

  .features .container .feature_item {
    margin-bottom: 10px;
  }

  footer .container {
    flex-wrap: wrap;
  }

  footer .container .row {
    width: 40%;
    margin-bottom: 20px;
  }

  footer .container .big-row {
    width: 50%;
    margin-bottom: 20px;
  }

  .product-field .container {
    position: relative;
    padding-top: 60px;
  }

  .product-field .container .filter {
    position: absolute;
    left: 0;
    top: 60px;
    width: 40%;
    opacity: 0;
    z-index: -100;
    transition: 0.4s opacity ease-in-out;
  }

  .product-field .container .filter.active {
    z-index: 100;
    opacity: 1;
  }

  .product-field .container ul {
    width: 100%;
  }

  .product-field .btn_filter {
    display: block;
    position: absolute;
    top: 0;
    padding: 12px 30px;
    background: var(--main-color);
    border-radius: 5px;
    font-size: 18px;
    text-transform: capitalize;
  }
}

@media (max-width: 940px) {
  header .top-nav .search select {
    width: 0;
  }
}

/* ============ tablet  ================ */
@media (max-width: 900px) {
  body {
    margin-top: 240px;
  }

  header .top-nav {
    flex-wrap: wrap;
  }

  header .top-nav .search {
    order: 3;
    width: 70%;
    margin: 10px auto 0;
  }

  header .links {
    padding: 20px 0;
  }

  header .links ul {
    position: fixed;
    top: 0;
    left: -420px;
    right: 0;
    bottom: 0;
    padding-top: 38px;
    background-color: #fff;
    flex-direction: column;
    gap: 20px;
    width: 400px;
    border-right: 1px solid var(--border-color);
    text-align: center;
    transition: 0.3s ease-in-out;
  }

  header .links ul.active {
    left: 0;
  }

  header .links ul .logo_menu,
  header .links ul .btn_close_menu,
  header .links .btn_open_menu {
    display: block;
  }

  header .links ul .logo_menu {
    width: 140px;
    margin: 0 auto;
  }

  header .links ul .btn_close_menu {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 40px;
    color: var(--main-color);
  }

  header .links .btn_open_menu {
    font-size: 25px;
  }

  header .links ul .bg-overlay {
    display: block;
    position: fixed;
    top: 0;
    right: -100%;
    background: #0000003d;
    height: 100%;
    width: calc(100vw - 400px);
    transition: 0.3s ease-in-out;
  }

  header .links ul.active .bg-overlay {
    right: 0;
  }

  .slider {
    margin-bottom: 30px;
  }
}

/* ============  tablet  ================ */
@media (max-width: 768px) {
  header .top-nav .search {
    width: 80%;
  }

  header .top-nav .search select {
    width: 120px;
  }

  header .top-nav .search select option {
    font-size: 12px;
    padding: 10px;
  }

  header .links ul {
    width: 100%;
    left: -100%;
  }
  header .links ul.active .bg-overlay {
    display: none;
  }

  .cart {
    width: 100%;
    right: -100%;
  }

  .product .img_product {
    margin: 0 auto;
    width: 300px;
    height: auto;
  }
}

@media (max-width: 500px) {
  header .top-nav .search {
    width: 70%;
  }

  /* header .top-nav .search input {
    padding: 13px 130px 13px 20px;
} */
  /* header .top-nav .search button {
    width: 120px;
    font-size: 14px;
} */

  .product .img_product {
    margin: 0 auto;
  }

  footer .container .row {
    width: 50%;
  }

  footer .container .big-row {
    width: 100%;
  }

  .product-field .container .filter {
    width: 100%;
  }
}

/* ============ mobile l  ================ */
@media (max-width: 430px) {
  header .links .btn_open_menu {
    display: none;
  }

  .navigation {
    display: none;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    background: linear-gradient(45deg, #fcb700, #e91e63);
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    z-index: 1000;
  }

  .navigation ul {
    display: flex;
    width: 100%;
    justify-content: space-between;
  }

  .navigation ul li {
    position: relative;
    width: 70px;
    height: 70px;
    list-style: none;
    z-index: 1;
  }

  .navigation ul li a {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    text-align: center;
    font-weight: 500;
  }

  .navigation ul li a .icon {
    position: relative;
    display: block;
    line-height: 75px;
    font-size: 1.5em;
    text-align: center;
    color: #fff;
    transition: 0.5s;
  }

  .navigation ul li.active a .icon {
    transform: translateY(-32px);
  }

  .navigation ul li a .text {
    position: absolute;
    color: #fff;
    font-weight: 400;
    font-size: 0.75em;
    letter-spacing: 0.05em;
    opacity: 0;
    transform: translateY(20px);
    transition: 0.5s;
  }

  .navigation ul li.active a .text {
    opacity: 1;
    transform: translateY(10px);
  }

  .navigation ul li a .circle {
    position: absolute;
    display: block;
    width: 50px;
    height: 50px;
    background: transparent;
    border-radius: 50%;
    border: 1.8px solid #fff;
    transform: translateY(-37px) scale(0);
  }

  .navigation ul li.active a .circle {
    transition: 0.5s;
    transition-delay: 0.5s;
    transform: translateY(-37px) scale(1);
  }

  .indicator {
    position: absolute;
    top: -50%;
    width: 70px;
    height: 70px;
    background: linear-gradient(45deg, #fcb700, #e91e63);
    border: 6px solid #06021b;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s;
  }

  .indicator::before {
    content: "";
    position: absolute;
    top: 50%;
    left: -22px;
    width: 20px;
    height: 20px;
    background: transparent;
    border-top-right-radius: 20px;
    box-shadow: 1px -10px 0 #06021b;
  }

  .indicator::after {
    content: "";
    position: absolute;
    top: 50%;
    right: -22px;
    width: 20px;
    height: 20px;
    background: transparent;
    border-top-left-radius: 20px;
    box-shadow: -1px -10px 0 #06021b;
  }

  .navigation ul li:nth-child(1).active ~ .indicator {
    transform: translateX(calc(89px * 0));
  }

  .navigation ul li:nth-child(2).active ~ .indicator {
    transform: translateX(calc(89px * 1));
  }

  .navigation ul li:nth-child(3).active ~ .indicator {
    transform: translateX(calc(90px * 2));
  }

  .navigation ul li:nth-child(4).active ~ .indicator {
    transform: translateX(calc(90px * 3));
  }

  .navigation ul li:nth-child(5).active ~ .indicator {
    transform: translateX(calc(90px * 4));
  }

  .product .img_product {
    margin: 0 auto;
    width: 100%;
  }

  .top_slider h2 {
    font-size: 17px;
  }

  header .links .login_signup a {
    font-size: 16px;
    padding: 10px;
  }

  .login_signup {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    width: 100%;
  }

  footer .container .row {
    width: 100%;
  }

  footer.container .big-row {
    width: 100%;
  }
}

/* ============ mobile l  ================ */
@media (max-width: 415px) {
  .navigation ul li:nth-child(1).active ~ .indicator {
    transform: translateX(calc(88px * 0));
  }

  .navigation ul li:nth-child(2).active ~ .indicator {
    transform: translateX(calc(86.2px * 1));
  }

  .navigation ul li:nth-child(3).active ~ .indicator {
    transform: translateX(calc(85.5px * 2));
  }

  .navigation ul li:nth-child(4).active ~ .indicator {
    transform: translateX(calc(86px * 3));
  }

  .navigation ul li:nth-child(5).active ~ .indicator {
    transform: translateX(calc(85.5px * 4));
  }
}

/* ============ mobile m  ================ */
@media (max-width: 390px) {
  .navigation ul li:nth-child(1).active ~ .indicator {
    transform: translateX(calc(78px * 0));
  }

  .navigation ul li:nth-child(2).active ~ .indicator {
    transform: translateX(calc(79.5px * 1));
  }

  .navigation ul li:nth-child(3).active ~ .indicator {
    transform: translateX(calc(79.5px * 2));
  }

  .navigation ul li:nth-child(4).active ~ .indicator {
    transform: translateX(calc(79.8px * 3));
  }

  .navigation ul li:nth-child(5).active ~ .indicator {
    transform: translateX(calc(80px * 4));
  }
}

/* ============ mobile m  ================ */
@media (max-width: 375px) {
  .navigation ul li:nth-child(1).active ~ .indicator {
    transform: translateX(calc(77px * 0));
  }

  .navigation ul li:nth-child(2).active ~ .indicator {
    transform: translateX(calc(77px * 1));
  }

  .navigation ul li:nth-child(3).active ~ .indicator {
    transform: translateX(calc(77px * 2));
  }

  .navigation ul li:nth-child(4).active ~ .indicator {
    transform: translateX(calc(76.5px * 3));
  }

  .navigation ul li:nth-child(5).active ~ .indicator {
    transform: translateX(calc(76px * 4));
  }

  header .top-nav .search {
    width: 100%;
  }

  footer .container .row {
    width: 100%;
  }

  footer.container .big-row {
    width: 100%;
  }
}

@media (max-width: 360px) {
  .navigation ul li:nth-child(1).active ~ .indicator {
    transform: translateX(calc(50px * 0));
  }

  .navigation ul li:nth-child(2).active ~ .indicator {
    transform: translateX(calc(73px * 1));
  }

  .navigation ul li:nth-child(3).active ~ .indicator {
    transform: translateX(calc(72.8px * 2));
  }

  .navigation ul li:nth-child(4).active ~ .indicator {
    transform: translateX(calc(72.5px * 3));
  }

  .navigation ul li:nth-child(5).active ~ .indicator {
    transform: translateX(calc(72.5px * 4));
  }
}

/* ============ mobile S  ================ */
@media (max-width: 345px) {
  .navigation ul li:nth-child(1).active ~ .indicator {
    transform: translateX(calc(68.5px * 0));
  }

  .navigation ul li:nth-child(2).active ~ .indicator {
    transform: translateX(calc(68.5px * 1));
  }

  .navigation ul li:nth-child(3).active ~ .indicator {
    transform: translateX(calc(68.5px * 2));
  }

  .navigation ul li:nth-child(4).active ~ .indicator {
    transform: translateX(calc(68.5px * 3));
  }

  .navigation ul li:nth-child(5).active ~ .indicator {
    transform: translateX(calc(68.5px * 4));
  }
}

/* ============ mobile S  ================ */

@media (max-width: 320px) {
  .navigation ul li:nth-child(1).active ~ .indicator {
    transform: translateX(calc(62px * 0));
  }

  .navigation ul li:nth-child(2).active ~ .indicator {
    transform: translateX(calc(62px * 1));
  }

  .navigation ul li:nth-child(3).active ~ .indicator {
    transform: translateX(calc(62.5px * 2));
  }

  .navigation ul li:nth-child(4).active ~ .indicator {
    transform: translateX(calc(63px * 3));
  }

  .navigation ul li:nth-child(5).active ~ .indicator {
    transform: translateX(calc(63.5px * 4));
  }

  footer .container .row {
    width: 100%;
  }

  footer.container .big-row {
    width: 100%;
  }
}
